## org.eclipse.datatools.modelbase.sql.schema
Interface IdentitySpecifier

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  IdentitySpecifierImpl

    public interface IdentitySpecifier

extends SQLObject

A representation of the model object 'Identity Specifier'. Reference: 5WD-02-Foundation-2002-12 4.14.4 Identity columns

The following features are supported:

- `Generation Type`
- `Start Value`
- `Increment`
- `Minimum`
- `Maximum`
- `Cycle Option`

See Also:
  `SQLSchemaPackage.getIdentitySpecifier()`

Method Summary
`GenerateType` `getGenerationType()` Returns the value of the 'Generation Type' attribute.
`java.math.BigInteger` `getIncrement()` Returns the value of the 'Increment' attribute.
`java.math.BigInteger` `getMaximum()` Returns the value of the 'Maximum' attribute.
`java.math.BigInteger` `getMinimum()` Returns the value of the 'Minimum' attribute.
`java.math.BigInteger` `getStartValue()` Returns the value of the 'Start Value' attribute.
`boolean` `isCycleOption()` Returns the value of the 'Cycle Option' attribute.
`void` `setCycleOption(boolean value)` Sets the value of the '`Cycle Option`' attribute.
`void` `setGenerationType(GenerateType value)` Sets the value of the '`Generation Type`' attribute.
`void` `setIncrement(java.math.BigInteger value)` Sets the value of the '`Increment`' attribute.
`void` `setMaximum(java.math.BigInteger value)` Sets the value of the '`Maximum`' attribute.
`void` `setMinimum(java.math.BigInteger value)` Sets the value of the '`Minimum`' attribute.
`void` `setStartValue(java.math.BigInteger value)` Sets the value of the '`Start Value`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getGenerationType

    GenerateType getGenerationType()

  Returns the value of the 'Generation Type' attribute. The literals are from the enumeration `GenerateType`.

  If the meaning of the 'Generation Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generation Type' attribute.
  See Also:
    `GenerateType`, `setGenerationType(GenerateType)`, `SQLSchemaPackage.getIdentitySpecifier_GenerationType()`

### setGenerationType

    void setGenerationType(GenerateType value)

  Sets the value of the '`Generation Type`' attribute.

  Parameters:
    `value` - the new value of the 'Generation Type' attribute.
  See Also:
    `GenerateType`, `getGenerationType()`

### getStartValue

    java.math.BigInteger getStartValue()

  Returns the value of the 'Start Value' attribute.

  If the meaning of the 'Start Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Value' attribute.
  See Also:
    `setStartValue(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_StartValue()`

### setStartValue

    void setStartValue(java.math.BigInteger value)

  Sets the value of the '`Start Value`' attribute.

  Parameters:
    `value` - the new value of the 'Start Value' attribute.
  See Also:
    `getStartValue()`

### getIncrement

    java.math.BigInteger getIncrement()

  Returns the value of the 'Increment' attribute.

  If the meaning of the 'Increment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Increment' attribute.
  See Also:
    `setIncrement(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_Increment()`

### setIncrement

    void setIncrement(java.math.BigInteger value)

  Sets the value of the '`Increment`' attribute.

  Parameters:
    `value` - the new value of the 'Increment' attribute.
  See Also:
    `getIncrement()`

### getMinimum

    java.math.BigInteger getMinimum()

  Returns the value of the 'Minimum' attribute.

  If the meaning of the 'Minimum' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minimum' attribute.
  See Also:
    `setMinimum(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_Minimum()`

### setMinimum

    void setMinimum(java.math.BigInteger value)

  Sets the value of the '`Minimum`' attribute.

  Parameters:
    `value` - the new value of the 'Minimum' attribute.
  See Also:
    `getMinimum()`

### getMaximum

    java.math.BigInteger getMaximum()

  Returns the value of the 'Maximum' attribute.

  If the meaning of the 'Maximum' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum' attribute.
  See Also:
    `setMaximum(BigInteger)`, `SQLSchemaPackage.getIdentitySpecifier_Maximum()`

### setMaximum

    void setMaximum(java.math.BigInteger value)

  Sets the value of the '`Maximum`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum' attribute.
  See Also:
    `getMaximum()`

### isCycleOption

    boolean isCycleOption()

  Returns the value of the 'Cycle Option' attribute.

  If the meaning of the 'Cycle Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cycle Option' attribute.
  See Also:
    `setCycleOption(boolean)`, `SQLSchemaPackage.getIdentitySpecifier_CycleOption()`

### setCycleOption

    void setCycleOption(boolean value)

  Sets the value of the '`Cycle Option`' attribute.

  Parameters:
    `value` - the new value of the 'Cycle Option' attribute.
  See Also:
    `isCycleOption()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.